# `column`

New in version 2.8: The `column` filter was added in Twig 2.8.

The `column` filter returns the values from a single column in the input array.

    {% set items = [{ 'fruit' : 'apple'}, {'fruit' : 'orange' }] %}

    {% set fruits = items|column('fruit') %}

    {# fruits now contains ['apple', 'orange'] #}

Note

Internally, Twig uses the PHP array_column function.

## Arguments

- `name`: The column name to extract